Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.deployment
Class AbstractDeploymentHandler

    java.lang.Object
      org.jboss.seam.deployment.AbstractDeploymentHandler

All Implemented Interfaces:
  DeploymentHandler

Direct Known Subclasses:
  ComponentDeploymentHandler, GroovyDeploymentHandler, NamespaceDeploymentHandler

    public abstract class AbstractDeploymentHandler

extends Object
implements DeploymentHandler

Abstract base class for `DeploymentHandler` providing common functionality

Author:
  Pete Muir

Constructor Summary
`AbstractDeploymentHandler()`

Method Summary
`protected static String` | `filenameToClassname(String filename)` Convert a path to a class file to a class name
`protected String` | `getAnnotationValue(javassist.bytecode.ClassFile classFile, Class<? extends Annotation> annotationType, String memberName)` Get the value of the annotation on the Javassist `ClassFile`, or null if the class doesn't have that annotation
`protected javassist.bytecode.ClassFile` | `getClassFile(String name, ClassLoader classLoader)` Get a Javassist `ClassFile` for a given class name from the classLoader
`protected boolean` | `hasAnnotation(javassist.bytecode.ClassFile classFile, Class<? extends Annotation> annotationType)` Check if the Javassist `ClassFile` has the specfied annotation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.seam.deployment.DeploymentHandler
`handle`

Constructor Detail

### AbstractDeploymentHandler

    public AbstractDeploymentHandler()

Method Detail

### filenameToClassname

    protected static String filenameToClassname(String filename)

  Convert a path to a class file to a class name

### getClassFile

    protected javassist.bytecode.ClassFile getClassFile(String name,
                                                        ClassLoader classLoader)
                                                 throws IOException

  Get a Javassist `ClassFile` for a given class name from the classLoader

  Throws:
    `IOException`

### hasAnnotation

    protected boolean hasAnnotation(javassist.bytecode.ClassFile classFile,
                                    Class<? extends Annotation> annotationType)

  Check if the Javassist `ClassFile` has the specfied annotation

### getAnnotationValue

    protected String getAnnotationValue(javassist.bytecode.ClassFile classFile,
                                        Class<? extends Annotation> annotationType,
                                        String memberName)

  Get the value of the annotation on the Javassist `ClassFile`, or null if the class doesn't have that annotation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD